/**
 * @Author: Kane Wang <wangkane@qq.com>
 * @Date: 2025-10-31 17:33:13
 * @LastEditors: Kane Wang
 * @LastModified: 2026-02-06 17:41:44
 * @FilePath: src/main/java/com/cpic/xim/utils/files/UploadedFile.java
 * @Description:
 *
 *               Copyright (c) 2025 by Kane All rights reserved
 */
package com.cpic.xim.utils.files;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 描述上传文件的类。
 * 
 */
public class UploadedFile
{
    @JsonProperty("originFileName")
    private String originFileName;

    @JsonProperty( "fileName" )
    private String fileName;

    @JsonProperty( "absoluteFilePath" )
    private String absoluteFilePath;

    @JsonProperty( "relativeFilePath" )
    private String relativeFilePath;

    public String getFileName()
    {
        return fileName;
    }

    public void setFileName( String fileName )
    {
        this.fileName = fileName;
    }

    public String getAbsoluteFilePath()
    {
        return absoluteFilePath;
    }

    public void setAbsoluteFilePath( String absoluteFilePath )
    {
        this.absoluteFilePath = absoluteFilePath;
    }

    public String getRelativeFilePath()
    {
        return relativeFilePath;
    }

    public void setRelativeFilePath( String relativeFilePath )
    {
        this.relativeFilePath = relativeFilePath;
    }

    public UploadedFile()
    {}
    
    public UploadedFile( String originFileName, String fileName, String absoluteFilePath, String relativeFilePath )
    {
        this.originFileName = originFileName;
        this.fileName         = fileName;
        this.absoluteFilePath = absoluteFilePath;
        this.relativeFilePath = relativeFilePath;
    }

    public String getOriginFileName()
    {
        return originFileName;
    }

    public void setOriginFileName( String originFileName )
    {
        this.originFileName = originFileName;
    }
}
